﻿/**
 * Iterable.as
 *
 * Copyright(c) 2008 Nokia. All rights reserved.	
 *
*/


/**
 * Defines forward moving iterable interface
 *
 */
 
dynamic intrinsic class com.nokia.lib.Iterable{
	
	/**
	 * Resets the iterator to point to the first element of the iterator.
	 *
	*/
	 public function reset();
	
	/**
	 * Fetches the next element in the iterator
	 *
	 * @return the next available element; Otherwise NULL
	 */
	 public function next():Object;
	 
	 /**
	 * Closes the iterator. Calling close on an already closed
	 * iterator has no effect.
	 *
	 */
	 public function close();
}
